MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001556XdebugStacktracespublic2018-06-03 08:272018-06-05 10:50
ReporterSalman 
Assigned Toderick 
PriorityhighSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS Version10.0.171
Product Version 
Target VersionFixed in Version2.6.1 
Summary0001556: PHP with Xdebug enabled crashes when register_shutdown_function() is called with a function named call_user_func*something*()
DescriptionPHP with Xdebug crashes with error code "-1073741819" when register_shutdown_function() is called with a function named call_user_func*something*()

I was only able to reproduce this on Windows. PHP doesn't crash if Xdebug is disabled.



Steps To ReproduceC:\Users\salma>php -v
PHP 7.2.6 (cli) (built: May 23 2018 20:29:37) ( NTS MSVC15 (Visual C++ 2017) x64 )
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.2.0, Copyright (c) 1998-2018 Zend Technologies
    with Xdebug v2.6.0, Copyright (c) 2002-2018, by Derick Rethans

C:\Users\salma>php -r "register_shutdown_function('call_user_funca'); function call_user_funca() {}"

C:\Users\salma>echo %errorlevel%
-1073741819
TagsNo tags attached.
Operating SystemWindows 10.0.171
PHP Version7.2.0-7.2.4
Attached Files

- Relationships

-  Notes
(0004661)
derick (administrator)
2018-06-03 21:55

I can reproduce it and have a patch up on Travis/AppVeyor for testing before merging it.
(0004664)
derick (administrator)
2018-06-05 10:50

Fixed for Xdebug 2.6.1.

- Issue History
Date Modified Username Field Change
2018-06-03 08:27 Salman New Issue
2018-06-03 21:55 derick Note Added: 0004661
2018-06-03 21:55 derick Assigned To => derick
2018-06-03 21:55 derick Status new => assigned
2018-06-05 10:50 derick Note Added: 0004664
2018-06-05 10:50 derick Status assigned => closed
2018-06-05 10:50 derick Resolution open => fixed
2018-06-05 10:50 derick Fixed in Version => 2.6.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker